RPIBOOT(1)

NAME
rpiboot - Boot a Raspberry Pi in device mode

SYNOPSIS
rpiboot [-d directory] [-l] [-o] [-m delay] [-v] [-s] [-0|1|2|3|4|5|6]
rpiboot -h

DESCRIPTION
rpiboot is a command line utility for booting a Raspberry Pi in USB device mode. Firmwares are provided to boot a Pi directly as a mass storage device (particularly useful for flashing Compute Module devices with on-board eMMC storage), or you may provide a set of boot files in a directory from which to boot. This can contain an initramfs to boot with a Linux kernel.

For more information about the bootloader EEPROM please see [EEPROM].

OPTIONS

-d directory
    Boot the device using the boot files in directory. Without this option, boot the device into mass storage device (MSD) mode.

-l  Loop forever. Without this option, the application will exit once the boot files have been successfully transferred, and the device re-appears on the USB bus (e.g. as a mass storage device).

-o  Used in conjunction with -d to specify that files from the “overlay” sub-directory (under the directory specified with -d) should be used, if they exist.

-m delay
    The number of micro-seconds delay between checking for new devices. Defaults to 500µs.

-v  Produce more verbose output.

-s  Sign boot files using bootsig.bin

-0|1|2|3|4|5|6
    Only look for Compute Modules attached to USB port number 0 through 6.

-h  Display a brief help page.

EXAMPLES

rpiboot
    Boot an attached Compute Module as a mass storage device (MSD).

rpiboot -v -1
    Boot a Compute Module on USB port 1 (only) as a mass storage device, with verbose reporting.

rpiboot -d recovery
    Flash the default bootloader EEPROM image onto a Compute Module 4

SEE ALSO
rpi-eeprom-update(1), rpi-eeprom-config(1)

REFERENCES

[EEPROM]
    https://www.raspberrypi.com/documentation/computers/raspberry-pi.html#raspberry-pi-4-boot-eeprom